Rename wp10 ORES model
Closed, ResolvedPublic

Description

"wp10" means nothing to most people and I've already heard people referring to it as the "Wikipedia Ten" model (rather than "Wikipedia one point zero"). Before this model name gets ingrained in all our software (as it soon will be), it should be renamed to something more sensible like "class" or "qualityclass".

kaldari created this task.Jun 2 2018, 5:45 PM
Restricted Application added a project: Scoring-platform-team. · View Herald TranscriptJun 2 2018, 5:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@Halfak, @Ladsgroup: Any thoughts on this?

kaldari updated the task description. (Show Details)Jun 27 2018, 6:49 PM

I personally call it "wp-ten" which I know it doesn't mean anything. Changing it to something else is so much work though (both service-side and mw extension-side)

No strong opinion here. wp10 is the scale, but it's clear that many scales are not "Wikipedia 1.0" but we still call them it.

I'd be a fan of switching to "articlequality" to match the "itemquality" prediction in Wikidata. We'll need to consult the large amount of users who have already baked "wp10" into their software. Are you willing to take that on @kaldari?

@Halfak: You can always just leave "wp10" as an alias, but I think having that as the official name is needlessly confusing. "articlequality" sounds good to me.

There's no such thing as an "alias" in ORES. :\

Vvjjkkii renamed this task from Rename wp10 ORES model to 7rbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot renamed this task from 7rbaaaaaaa to Rename wp10 ORES model.
CommunityTechBot added a subscriber: Aklapper.

Now that we have aliases, any chance we could implement an "articlequality" alias for wp10, hopefully before it is baked into the JADE extension. Otherwise, "wp10" is going to start being surfaced in the MediaWiki user interface which is sure to cause confusion.

awight added a subscriber: awight.EditedAug 22 2018, 3:51 AM

FWIW, we've renamed the repository which generates this model "articlequality", so that name is already being baked into our code. I agree with @kaldari that we should make "articlequality" the canonical name, and "wp10" an alias for backwards-compatibility.

Change 455585 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/services/ores/deploy@master] Rename wp10 to articlequality, make wp10 alias

https://gerrit.wikimedia.org/r/455585

Change 455585 merged by Ladsgroup:
[mediawiki/services/ores/deploy@master] Rename wp10 to articlequality, make wp10 alias

https://gerrit.wikimedia.org/r/455585

Mentioned in SAL (#wikimedia-operations) [2018-08-27T20:04:27Z] <ladsgroup@deploy1001> Started deploy [ores/deploy@0e8cc73]: Deploy renaming wp10 models to articlequality (T196240)

Mentioned in SAL (#wikimedia-operations) [2018-08-27T20:10:06Z] <ladsgroup@deploy1001> Finished deploy [ores/deploy@0e8cc73]: Deploy renaming wp10 models to articlequality (T196240) (duration: 05m 38s)

I tested it and it worked on beta cluster but it failed on canary node in prod majestically:

ladsgroup@ores1001:/srv/deployment/ores/deploy$ curl http://0.0.0.0:8081/v3/scores/enwiki/12345
{
  "enwiki": {
    "models": {
      "articlequality": {
        "version": "0.6.1"
      },
      "damaging": {
        "version": "0.4.0"
      },
      "draftquality": {
        "version": "0.1.0"
      },
      "drafttopic": {
        "version": "0.1.0"
      },
      "goodfaith": {
        "version": "0.4.0"
      },
      "wp10": {
        "version": "0.6.1"
      }
    },
    "scores": {
      "12345": {
        "articlequality": {
          "error": {
            "message": "'articlequality'",
            "type": "KeyError"
          }
        },
        "damaging": {
          "error": {
            "message": "'articlequality'",
            "type": "KeyError"
          }
        },
        "draftquality": {
          "error": {
            "message": "'articlequality'",
            "type": "KeyError"
          }
        },
        "drafttopic": {
          "error": {
            "message": "'articlequality'",
            "type": "KeyError"
          }
        },
        "goodfaith": {
          "error": {
            "message": "'articlequality'",
            "type": "KeyError"
          }
        },
        "wp10": {
          "error": {
            "message": "'articlequality'",
            "type": "KeyError"
          }
        }
      }
    }
  }

Now I realize it was because celery and web can be different, I go full now...

Mentioned in SAL (#wikimedia-operations) [2018-08-27T20:12:04Z] <ladsgroup@deploy1001> Started deploy [ores/deploy@0e8cc73]: Deploy renaming wp10 models to articlequality (T196240)

Mentioned in SAL (#wikimedia-operations) [2018-08-27T20:37:05Z] <ladsgroup@deploy1001> Finished deploy [ores/deploy@0e8cc73]: Deploy renaming wp10 models to articlequality (T196240) (duration: 25m 01s)

Ladsgroup moved this task from Review to Done on the Scoring-platform-team (Current) board.

Change 462508 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/vagrant@master] Rename wp10 to articlequality

https://gerrit.wikimedia.org/r/462508

Change 462508 merged by jenkins-bot:
[mediawiki/vagrant@master] Rename wp10 to articlequality

https://gerrit.wikimedia.org/r/462508

Ladsgroup closed this task as Resolved.Nov 1 2018, 7:59 PM